levelshots/anix_b1_cc_automap
{
   nopicmip
   nocompress
   nomipmaps
   {
      clampmap levelshots/anix_b1_cc.tga
      depthFunc equal
      rgbGen identity
   }
}

levelshots/anix_b1_cc_trans
{
   nopicmip
   nocompress
   nomipmaps
   {
      clampmap levelshots/anix_b1_cc.tga
      blendfunc blend
      rgbGen identity
      alphaGen vertex
   }
}


/// Map Textures


textures/anix/medgamma-1
{
     qer_editorimage textures/anix/medgamma-1.jpg
	surfaceparm trans 
	surfaceparm nonsolid 
	surfaceparm pointlight
	surfaceparm nomarks
	q3map_surfacelight 50
	polygonOffset
	{
		map textures/anix/medgamma-1.jpg
		alphaFunc GE128
		blendfunc add
		rgbGen vertex
	}
}


textures/anix/medgamma-2
{
     qer_editorimage textures/anix/medgamma-2.jpg
	surfaceparm trans 
	surfaceparm nonsolid 
	surfaceparm pointlight
	surfaceparm nomarks
	q3map_surfacelight 50
	polygonOffset
	{
		map textures/anix/medgamma-2.jpg
		alphaFunc GE128
		blendfunc add
		rgbGen vertex
	}
}


textures/anix/medgamma-3
{
     qer_editorimage textures/anix/medgamma-3.jpg
	surfaceparm trans 
	surfaceparm nonsolid 
	surfaceparm pointlight
	surfaceparm nomarks
	q3map_surfacelight 50
	polygonOffset
	{
		map textures/anix/medgamma-3.jpg
		alphaFunc GE128
		blendfunc add
		rgbGen vertex
	}
}


textures/anix/medgamma-4
{
     qer_editorimage textures/anix/medgamma-4.jpg
	surfaceparm trans 
	surfaceparm nonsolid 
	surfaceparm pointlight
	surfaceparm nomarks
	q3map_surfacelight 50
	polygonOffset
	{
		map textures/anix/medgamma-4.jpg
		alphaFunc GE128
		blendfunc add
		rgbGen vertex
	}
}


textures/anix/medgamma-5
{
     qer_editorimage textures/anix/medgamma-5.jpg
	surfaceparm trans 
	surfaceparm nonsolid 
	surfaceparm pointlight
	surfaceparm nomarks
	q3map_surfacelight 50
	polygonOffset
	{
		map textures/anix/medgamma-5.jpg
		alphaFunc GE128
		blendfunc add
		rgbGen vertex
	}
}


textures/anix/hardgamma-1
{
     qer_editorimage textures/anix/hardgamma-1.jpg
	surfaceparm trans 
	surfaceparm nonsolid 
	surfaceparm pointlight
	surfaceparm nomarks
	q3map_surfacelight 50
	polygonOffset
	{
		map textures/anix/hardgamma-1.jpg
		alphaFunc GE128
		blendfunc add
		rgbGen vertex
	}
}


textures/anix/hardgamma-2
{
     qer_editorimage textures/anix/hardgamma-2.jpg
	surfaceparm trans 
	surfaceparm nonsolid 
	surfaceparm pointlight
	surfaceparm nomarks
	q3map_surfacelight 50
	polygonOffset
	{
		map textures/anix/hardgamma-2.jpg
		alphaFunc GE128
		blendfunc add
		rgbGen vertex
	}
}


textures/anix/hardgamma-3
{
     qer_editorimage textures/anix/hardgamma-3.jpg
	surfaceparm trans 
	surfaceparm nonsolid 
	surfaceparm pointlight
	surfaceparm nomarks
	q3map_surfacelight 50
	polygonOffset
	{
		map textures/anix/hardgamma-3.jpg
		alphaFunc GE128
		blendfunc add
		rgbGen vertex
	}
}


textures/anix/hardgamma-4
{
     qer_editorimage textures/anix/hardgamma-4.jpg
	surfaceparm trans 
	surfaceparm nonsolid 
	surfaceparm pointlight
	surfaceparm nomarks
	q3map_surfacelight 50
	polygonOffset
	{
		map textures/anix/hardgamma-4.jpg
		alphaFunc GE128
		blendfunc add
		rgbGen vertex
	}
}


textures/anix/hardgamma-5
{
     qer_editorimage textures/anix/hardgamma-5.jpg
	surfaceparm trans 
	surfaceparm nonsolid 
	surfaceparm pointlight
	surfaceparm nomarks
	q3map_surfacelight 50
	polygonOffset
	{
		map textures/anix/hardgamma-5.jpg
		alphaFunc GE128
		blendfunc add
		rgbGen vertex
	}
}


textures/anix/tester
{
     qer_editorimage textures/anix/tester.tga
	surfaceparm trans 
	surfaceparm nonsolid 
	surfaceparm pointlight
	surfaceparm nomarks
	q3map_surfacelight 50
	polygonOffset
	{
		map textures/anix/tester.tga
		alphaFunc GE128
		blendfunc add
		rgbGen vertex
	}
}


textures/anix/mapper
{
     qer_editorimage textures/anix/mapper.tga
	surfaceparm trans 
	surfaceparm nonsolid 
	surfaceparm pointlight
	surfaceparm nomarks
	q3map_surfacelight 50
	polygonOffset
	{
		map textures/anix/mapper.tga
		alphaFunc GE128
		blendfunc add
		rgbGen vertex
	}
}


/// Sky Shader


textures/anix/hip_miramar
{
	qer_editorImage textures/hip_miramar/miramar_up.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sunExt 1 1 1 70 -37 55 3 16
	q3map_LightMapFilterRadius 0 8
	q3map_skylight 50 4
	nopicmip
	skyparms textures/hip_miramar/miramar - -
}


/// Glass Shader


textures/anix/glass_blue
{
 qer_trans .5
 surfaceparm trans
 surfaceparm nolightmap 

                      cull disable
                 {
                  map textures/anix/glass_blue.jpg
                  tcGen environment
                  tcMod turb 0 0.01 0 0.01
                  tcmod scroll .0 .0
                  blendfunc GL_ONE GL_ONE
                  }
}


textures/anix/glass_red
{
 qer_trans .5
 surfaceparm trans
 surfaceparm nolightmap 

                      cull disable
                 {
                  map textures/anix/glass_red.jpg
                  tcGen environment
                  tcMod turb 0 0.01 0 0.01
                  tcmod scroll .0 .0
                  blendfunc GL_ONE GL_ONE
                  }
}



/// Ice Shader


textures/anix/ice
{
    qer_editorImage textures/anix/ice.jpg
    q3map_surfacelight 200
    surfaceparm slick
    surfaceparm glass
    surfaceparm trans
    surfaceparm nodamage
	tessSize 256



   {
      map $whiteimage
      depthWrite
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
      alphaGen const 0.5
      rgbGen const ( 0.819 1 0.988 )
   }


	{
		map textures/anix/ice.jpg
		blendfunc blend
	}

    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }


    {
        map textures/anix/ice-shiny.jpg
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        tcGen environment
        tcMod scale 1 1
        rgbGen identity
    }


}


/// Water Shaders

textures/anix/water
{
	qer_editorimage textures/anix/water.jpg
	q3map_backsplash 10 30
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
	nopicmip
	q3map_surfacelight 100
	{
		map textures/anix/water.jpg
		tcMod scroll -0.0015 0.0010
		tcMod turb 1 0.05 0.03 0.3
		blendfunc add
		depthWrite
	}
}


textures/anix/red_water
{
	qer_editorimage textures/anix/red_water.jpg
	q3map_backsplash 10 30
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
	nopicmip
	q3map_surfacelight 100
	{
		map textures/anix/red_water.jpg
		tcMod scroll -0.0015 0.0010
		tcMod turb 1 0.05 0.03 0.3
		blendfunc add
		depthWrite
	}
}



